text-zipper-0.13: A text editor zipper library

Safe Haskell | None
Language | Haskell2010

Data.Text.Zipper.Generic

# Documentation

class Monoid a => GenericTextZipper a where Source #

Methods

singleton :: Char -> a Source #

drop :: Int -> a -> a Source #

take :: Int -> a -> a Source #

length :: a -> Int Source #

last :: a -> Char Source #

init :: a -> a Source #

null :: a -> Bool Source #

lines :: a -> [a] Source #

toList :: a -> [Char] Source #

#### Instances

Instances details

GenericTextZipper Text Source # |
Instance details Defined in Data.Text.Zipper.Generic Methods singleton :: Char -> Text Source # drop :: Int -> Text -> Text Source # take :: Int -> Text -> Text Source # length :: Text -> Int Source # last :: Text -> Char Source # init :: Text -> Text Source # null :: Text -> Bool Source # lines :: Text -> [Text] Source # toList :: Text -> [Char] Source #
GenericTextZipper (Vector Char) Source # |

Instance details

Defined in Data.Text.Zipper.Generic

Methods

singleton :: Char -> Vector Char Source #

drop :: Int -> Vector Char -> Vector Char Source #

take :: Int -> Vector Char -> Vector Char Source #

length :: Vector Char -> Int Source #

last :: Vector Char -> Char Source #

init :: Vector Char -> Vector Char Source #

null :: Vector Char -> Bool Source #

lines :: Vector Char -> [Vector Char] Source #

toList :: Vector Char -> [Char] Source #

GenericTextZipper [Char] Source # |
Instance details Defined in Data.Text.Zipper.Generic Methods singleton :: Char -> [Char] Source # drop :: Int -> [Char] -> [Char] Source # take :: Int -> [Char] -> [Char] Source # length :: [Char] -> Int Source # last :: [Char] -> Char Source # init :: [Char] -> [Char] Source # null :: [Char] -> Bool Source # lines :: [Char] -> [[Char]] Source # toList :: [Char] -> [Char] Source #

textZipper :: GenericTextZipper a => [a] -> Maybe Int -> TextZipper a Source #